# -------------------------------------------------------------------------------------
# flo::editor::Mixin::upload_file
# -------------------------------------------------------------------------------------
#
#       Author : Jean-Michel Hiver (jhiver@mkdoc.com).
#    Copyright : (c) MKDoc Holdings Ltd, 2001
# 
#      Unauthorized modification, use, reuse, distribution or redistribution
#      of this module is stricly forbidden
#
#    Description:
#
#      Mixin to make file, images, photos, etc... names look better
#
# -------------------------------------------------------------------------------------
package flo::editor::Mixin::upload_file;
use flo::Standard;
use strict;
use Carp;


sub upload_file
{
    my $class = shift;
    my $key   = shift;
    my $dir   = shift;
    my $file  = shift;
    my $fname = shift;
    
    my $base_dir = general_config->get ($key)
	or confess "Cannot get $key";
    
    unless (-e "$base_dir/$dir")
    {
	mkdir "$base_dir/$dir"
	    or confess "Cannot create directory $dir";
    }
    
    open (FP, ">$base_dir/$dir/$file")
	or confess "Cannot write-open $dir/$file";
    my $buffer;
    no strict;
    while ( read ($fname, $buffer, 1024)) { print FP $buffer }
    use strict;
    close FP;
}


1;
