# basic template tokenization test
use lib ('..');
use lib::Config;
use MKDoc;
use lib::Template;
use Data::Dumper;
use utf8;
use strict;

eval {
    # initialize template module
    $lib::Template::CONFIG = new lib::Config;
    $lib::Template::CONFIG->set (qw /LEFT_TOKEN <%/);
    $lib::Template::CONFIG->set (qw /RIGHT_TOKEN %>/);

    # $lib::Template::CONFIG->set ('BASE_DIR', $CONFIG->{SITE_DIR});
    $lib::Template::CONFIG->set ('var', 'lib::Template::Var');
    $lib::Template::CONFIG->set ('if', 'lib::Template::If');
    $lib::Template::RIGHT_TOKEN = quotemeta ('%>');
    $lib::Template::LEFT_TOKEN  = quotemeta ('<%');
    
    # $lib::Template::BASE_DIR    = $CONFIG->{SITE_DIR};
    $lib::Template::TOKEN_REGEX = $lib::Template::LEFT_TOKEN . '.*?' . $lib::Template::RIGHT_TOKEN;
    $lib::Template::STASH = {};

    my $tmpl_data = 'this is a unicode ' . "\x{FEFF}\x{E9}" . ' <% var name="FOO" %> test';
    my $tmpl_hash = { FOO => 'foo' };
    my $tmpl = new lib::Template ( data => $tmpl_data, hash => $tmpl_hash );

    my $res = $tmpl->parse;
    die '[ Unicode template parse ]' unless (length ($res) == 29);
};

if (defined $@ and ref $@) { $@ = "\n" . Dumper ($@) . "\n" }
die $@ if (defined $@ and $@);

