# linkifier bug test...
use lib qw /../;
use flo::editor::Html;
use flo::Editor;
use MKDoc;
use strict;
use Data::Dumper;

eval {
  MKDoc::init ('cgi.mkdoc');
    
    my $editor = new flo::Editor;
    my $html = bless { data => html_data() }, 'flo::editor::Html';
    
    + flo::Editor::_SET_LINKS_ ( [ {
	href => '/management/equal-opps/women/',
	desc => 'Link to Working with Women section',
	expr => 'Working with Women',
	lang => 'en' } ] );
    
    die '[ MKDoc::XML::XHTML::Linkifier ]'
	unless ($html->html =~ /&quot;<a href="\/management\/equal-opps\/women\/" title="Link to Working with Women section">Working with Women<\/a>&quot; guidance/);
    
};

if (defined $@ and ref $@) { $@ = "\n" . Dumper ($@) . "\n" }
die $@ if (defined $@ and $@);


sub html_data
{
    return <<'END';
<p>The &quot;Working with Women&quot; guidance on this site shows centres how to offer women learners positive ICT learning experiences. It will help centres to gender mainstream to make women's concerns and experiences an integral part of service development and delivery.</p>
END
}

sub html_expected_result
{
    return <<'END';
  <p>
    The &quot;<a href="/management/equal-opps/women/" title="Link to Working with Women section">Working with Women</a>&quot; guidance on this site shows centres how to offer women learners positive ICT learning experiences. It will help centres to gender mainstream to make women's concerns and experiences an integral part of service development and delivery.
  </p>
END
}

1;
